rskPatm {oce} | R Documentation

## Estimate atmospheric pressure in rsk record

### Description

Estimate atmospheric pressure in rsk record

### Usage

    rskPatm(x, dp=0.5)

### Arguments

`x` | A `rsk` object, or a list of pressures (in decibars).
`dp` | Half-width of pressure window to be examined (in decibars).

### Details

Pressures must be in decibars for this to work. First, a subset of pressures is created, in which the range is `sap-dp` to `sap+dp`. Here, `sap`=10.1325 dbar is standard sealevel atmospheric pressure. Within this window, three measures of central tendency are calculated: the median, the mean, and a weighted mean that has weight given by exp(-2*((p - sap) / dp)^2).

### Value

A list of four estimates: `sap`, the median, the mean, and the weighted mean.

### Author(s)

Dan Kelley

### See Also

The documentation for `rsk-class` explains the structure of `rsk` objects, and also outlines the other functions dealing with them.

### Examples

    library(oce)
    data(rsk)
    print(rskPatm(rsk))

[Package oce version 0.9-18 Index]